## org.metaabm.gen.test
Class OperationsAgent

    java.lang.Object
      org.ascape.model.AscapeObject
          org.ascape.model.Agent
              org.ascape.model.LocatedAgent
                  org.ascape.model.Cell
                      org.ascape.model.CellOccupant
                          org.metaabm.gen.test.OperationsAgent

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, Location, Node, HasName, RandomFunctions

    public class OperationsAgent

extends CellOccupant

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.ascape.model.CellOccupant
`PLAY_HOST_RULE, RANDOM_WALK_AVAILABLE_RULE`

Fields inherited from class org.ascape.model.Cell
`CALCULATE_NEIGHBORS_RULE, neighbors, PLAY_NEIGHBORS_RULE, PLAY_RANDOM_NEIGHBOR_RULE`

Fields inherited from class org.ascape.model.LocatedAgent
`agentSize, coordinate, MOVE_RANDOM_LOCATION_RULE, RANDOM_WALK_RULE, thisUpdate`

Fields inherited from class org.ascape.model.Agent
`DEATH_RULE, FISSIONING_RULE, FORCE_DIE_RULE, FORCE_FISSION_RULE, FORCE_MOVE_RULE, INITIALIZE_RULE, ITERATE_AND_UPDATE_RULE, ITERATE_RULE, METABOLISM_RULE, MOVEMENT_RULE, PLAY_OTHER, UPDATE_RULE`

Fields inherited from class org.ascape.model.AscapeObject
`ARBITRARY_SEED, name, PLATFORM_DEFAULT_COLOR, scape`

Constructor Summary
`OperationsAgent()` Constructs a new Operations Agent.

Method Summary
`java.lang.Object` `clone()` Clones the agent, ensuring that a unique id is assigned.
`void` `createUniqueID()`
`void` `dummy()`
`BasicModel` `getBasicModel()`
`java.awt.Color` `getColor()` This agent's default color, used by many simple views.
`int` `getComplexResultValue()` Gets the Complex Result Value property for Operations Agent.
`int` `getConstant3()` Gets the Constant3 property for Operations Agent.
`int` `getCountChanges()` Gets the Count Changes property for Operations Agent.
`double` `getFloat12()` Gets the Float 12 property for Operations Agent.
`double` `getFloat1p8()` Gets the Float 1p8 property for Operations Agent.
`double` `getFloat20()` Gets the Float 20 property for Operations Agent.
`double` `getFloatResult1()` Gets the Float Result 1 property for Operations Agent.
`int` `getInt1()` Gets the Int 1 property for Operations Agent.
`int` `getInt10()` Gets the Int 10 property for Operations Agent.
`int` `getInt2()` Gets the Int 2 property for Operations Agent.
`int` `getInt3()` Gets the Int 3 property for Operations Agent.
`int` `getInt4()` Gets the Int 4 property for Operations Agent.
`java.lang.String` `getName()` A name this object may be referred to by.
`int` `getTemp1()` Gets the Temp 1 property for Operations Agent.
`java.lang.String` `getUID()`
`boolean` `isBoolean1()` Gets the Boolean 1 property for Operations Agent.
`boolean` `isBoolean2()` Gets the Boolean 2 property for Operations Agent.
`boolean` `isComplexResultCorrect()` Gets the Complex Result Correct property for Operations Agent.
`boolean` `isResultBoolean()` Gets the Result Boolean property for Operations Agent.
`void` `setBoolean1(boolean _boolean1)` Sets the Boolean 1 property for Operations Agent.
`void` `setBoolean2(boolean _boolean2)` Sets the Boolean 2 property for Operations Agent.
`void` `setComplexResultCorrect(boolean _complexResultCorrect)` Sets the Complex Result Correct property for Operations Agent.
`void` `setComplexResultValue(int _complexResultValue)` Sets the Complex Result Value property for Operations Agent.
`void` `setConstant3(int _constant3)` Sets the Constant3 property for Operations Agent.
`void` `setCountChanges(int _countChanges)` Sets the Count Changes property for Operations Agent.
`void` `setFloat12(double _float12)` Sets the Float 12 property for Operations Agent.
`void` `setFloat1p8(double _float1p8)` Sets the Float 1p8 property for Operations Agent.
`void` `setFloat20(double _float20)` Sets the Float 20 property for Operations Agent.
`void` `setFloatResult1(double _floatResult1)` Sets the Float Result 1 property for Operations Agent.
`void` `setInt1(int _int1)` Sets the Int 1 property for Operations Agent.
`void` `setInt10(int _int10)` Sets the Int 10 property for Operations Agent.
`void` `setInt2(int _int2)` Sets the Int 2 property for Operations Agent.
`void` `setInt3(int _int3)` Sets the Int 3 property for Operations Agent.
`void` `setInt4(int _int4)` Sets the Int 4 property for Operations Agent.
`void` `setResultBoolean(boolean _resultBoolean)` Sets the Result Boolean property for Operations Agent.
`void` `setTemp1(int _temp1)` Sets the Temp 1 property for Operations Agent.
`void` `testComplexConjunction()` .
`void` `testComplexMath()` .
`void` `testExclusiveConjunctions()` .
`void` `testIdentity()` .
`void` `testLiterals()` .
`void` `testMultiplePaths()` .
`void` `testNegate()` .
`void` `testNegateComplex()` .
`void` `testNegateMultipleTargets()` .
`void` `testNegateOr()` .
`void` `testNegateSameTarget()` .
`void` `testNestedCondition()` .
`void` `testSimpleCondition()` .
`void` `testSimpleConjunction()` .
`void` `testSimpleMath()` .
`void` `testSimpleOR()` .

Methods inherited from class org.ascape.model.CellOccupant

`die, findAvailableNeighbors, findNearest, findNearest, findNearest, findNearest, findNearest, findNeighbors, findNeighborsOnHost, findRandomAvailableNeighbor, findRandomNeighbor, findRandomNeighborOnHost, findWithin, findWithin, findWithin, getCoordinate, getHostCell, getHostScape, leave, moveAway, moveTo, moveToRandomLocation, moveToward, playNeighbors, playRandomNeighbor, randomWalk, randomWalkAvailable, setHostCell, setHostScape`

Methods inherited from class org.ascape.model.Cell
`calculateNeighbors, countNeighbors, findOccupants, findRelative, getDistance, getNeighbors, getNeighbors, getNetwork, getOccupant, hostedCondition, initialize, isAvailable, removeOccupant, setNeighbors, setNeighborsList, setNetwork, setOccupant, toString`

Methods inherited from class org.ascape.model.LocatedAgent
`calculateDistance, calculateDistance, countWithin, countWithin, countWithin, findMaximumWithin, findWithin, getAgentSize, hasWithin, hasWithin, hasWithin, isUpdateNeeded, moveAway, moveAway, moveTo, moveToward, moveToward, requestUpdate, requestUpdateNext, setAgentSize, setCoordinate`

Methods inherited from class org.ascape.model.Agent
`clearDeleteMarker, death, deathCondition, execute, execute, fission, fissionCondition, fissioning, getColor, getImage, getImage, getIteration, getPlatformColor, getRoot, isDelete, isInitialized, iterate, markForDeletion, metabolism, move, movement, movementCondition, play, scapeCreated, setInitialized, setScape, update`

Methods inherited from class org.ascape.model.AscapeObject
`diffDeep, diffDeep, diffDeepBFS, diffDeepDFS, diffDeepValidate, diffDeepVisit, equalsDeep, equalsDeep, equalsDeep, getComparisonStream, getRandom, getRandomSeed, getScape, randomInRange, randomInRange, randomIs, randomToLimit, reseed, setComparisonStream, setName, setRandom, setRandomSeed`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.ascape.model.space.Location
`clearDeleteMarker, isDelete, markForDeletion, setCoordinate`

Constructor Detail

### OperationsAgent

    public OperationsAgent()

  Constructs a new Operations Agent.

Method Detail

### getUID

    public java.lang.String getUID()

### createUniqueID

    public void createUniqueID()

### clone

    public java.lang.Object clone()

  Clones the agent, ensuring that a unique id is assigned.

  Specified by:
    `clone` in interface `Location`
  Overrides:
    `clone` in class `CellOccupant`
  Returns:
    the object

### dummy

    public void dummy()

### getBasicModel

    public BasicModel getBasicModel()

### getColor

    public java.awt.Color getColor()

  Description copied from class: `Agent`
  This agent's default color, used by many simple views. Black is default; override to provide an appropriate color.

  Overrides:
    `getColor` in class `Agent`

### testSimpleCondition

    public void testSimpleCondition()

  .

### testSimpleConjunction

    public void testSimpleConjunction()

  .

### testSimpleMath

    public void testSimpleMath()

  .

### testComplexMath

    public void testComplexMath()

  .

### testSimpleOR

    public void testSimpleOR()

  .

### testLiterals

    public void testLiterals()

  .

### testNegate

    public void testNegate()

  .

### testIdentity

    public void testIdentity()

  .

### testNegateComplex

    public void testNegateComplex()

  .

### testComplexConjunction

    public void testComplexConjunction()

  .

### testExclusiveConjunctions

    public void testExclusiveConjunctions()

  .

### testMultiplePaths

    public void testMultiplePaths()

  .

### testNegateSameTarget

    public void testNegateSameTarget()

  .

### testNegateMultipleTargets

    public void testNegateMultipleTargets()

  .

### testNegateOr

    public void testNegateOr()

  .

### testNestedCondition

    public void testNestedCondition()

  .

### getFloat12

    public double getFloat12()

  Gets the Float 12 property for Operations Agent.

  Returns:

### setFloat12

    public void setFloat12(double _float12)

  Sets the Float 12 property for Operations Agent.

  Parameters:
    `_float12` - the new Float 12 value

### getFloat20

    public double getFloat20()

  Gets the Float 20 property for Operations Agent.

  Returns:

### setFloat20

    public void setFloat20(double _float20)

  Sets the Float 20 property for Operations Agent.

  Parameters:
    `_float20` - the new Float 20 value

### getFloat1p8

    public double getFloat1p8()

  Gets the Float 1p8 property for Operations Agent.

  Returns:

### setFloat1p8

    public void setFloat1p8(double _float1p8)

  Sets the Float 1p8 property for Operations Agent.

  Parameters:
    `_float1p8` - the new Float 1p8 value

### isResultBoolean

    public boolean isResultBoolean()

  Gets the Result Boolean property for Operations Agent.

  Returns:

### setResultBoolean

    public void setResultBoolean(boolean _resultBoolean)

  Sets the Result Boolean property for Operations Agent.

  Parameters:
    `_resultBoolean` - the new Result Boolean value

### getFloatResult1

    public double getFloatResult1()

  Gets the Float Result 1 property for Operations Agent.

  Returns:

### setFloatResult1

    public void setFloatResult1(double _floatResult1)

  Sets the Float Result 1 property for Operations Agent.

  Parameters:
    `_floatResult1` - the new Float Result 1 value

### isComplexResultCorrect

    public boolean isComplexResultCorrect()

  Gets the Complex Result Correct property for Operations Agent.

  Returns:

### setComplexResultCorrect

    public void setComplexResultCorrect(boolean _complexResultCorrect)

  Sets the Complex Result Correct property for Operations Agent.

  Parameters:
    `_complexResultCorrect` - the new Complex Result Correct value

### getComplexResultValue

    public int getComplexResultValue()

  Gets the Complex Result Value property for Operations Agent.

  Returns:

### setComplexResultValue

    public void setComplexResultValue(int _complexResultValue)

  Sets the Complex Result Value property for Operations Agent.

  Parameters:
    `_complexResultValue` - the new Complex Result Value value

### getConstant3

    public int getConstant3()

  Gets the Constant3 property for Operations Agent.

  Returns:

### setConstant3

    public void setConstant3(int _constant3)

  Sets the Constant3 property for Operations Agent.

  Parameters:
    `_constant3` - the new Constant3 value

### getCountChanges

    public int getCountChanges()

  Gets the Count Changes property for Operations Agent.

  Returns:

### setCountChanges

    public void setCountChanges(int _countChanges)

  Sets the Count Changes property for Operations Agent.

  Parameters:
    `_countChanges` - the new Count Changes value

### getTemp1

    public int getTemp1()

  Gets the Temp 1 property for Operations Agent.

  Returns:

### setTemp1

    public void setTemp1(int _temp1)

  Sets the Temp 1 property for Operations Agent.

  Parameters:
    `_temp1` - the new Temp 1 value

### getInt1

    public int getInt1()

  Gets the Int 1 property for Operations Agent.

  Returns:

### setInt1

    public void setInt1(int _int1)

  Sets the Int 1 property for Operations Agent.

  Parameters:
    `_int1` - the new Int 1 value

### getInt2

    public int getInt2()

  Gets the Int 2 property for Operations Agent.

  Returns:

### setInt2

    public void setInt2(int _int2)

  Sets the Int 2 property for Operations Agent.

  Parameters:
    `_int2` - the new Int 2 value

### getInt3

    public int getInt3()

  Gets the Int 3 property for Operations Agent.

  Returns:

### setInt3

    public void setInt3(int _int3)

  Sets the Int 3 property for Operations Agent.

  Parameters:
    `_int3` - the new Int 3 value

### getInt4

    public int getInt4()

  Gets the Int 4 property for Operations Agent.

  Returns:

### setInt4

    public void setInt4(int _int4)

  Sets the Int 4 property for Operations Agent.

  Parameters:
    `_int4` - the new Int 4 value

### getInt10

    public int getInt10()

  Gets the Int 10 property for Operations Agent.

  Returns:

### setInt10

    public void setInt10(int _int10)

  Sets the Int 10 property for Operations Agent.

  Parameters:
    `_int10` - the new Int 10 value

### isBoolean1

    public boolean isBoolean1()

  Gets the Boolean 1 property for Operations Agent.

  Returns:

### setBoolean1

    public void setBoolean1(boolean _boolean1)

  Sets the Boolean 1 property for Operations Agent.

  Parameters:
    `_boolean1` - the new Boolean 1 value

### isBoolean2

    public boolean isBoolean2()

  Gets the Boolean 2 property for Operations Agent.

  Returns:

### setBoolean2

    public void setBoolean2(boolean _boolean2)

  Sets the Boolean 2 property for Operations Agent.

  Parameters:
    `_boolean2` - the new Boolean 2 value

### getName

    public java.lang.String getName()

  Description copied from class: `AscapeObject`
  A name this object may be referred to by.

  Specified by:
    `getName` in interface `HasName`
  Overrides:
    `getName` in class `AscapeObject`